/*
 * Cheops Next Generation GUI
 * 
 * gui-settings.h
 * Settings window stuff
 *
 * Copyright(C) 1999 Brent Priddy <toopriddy@mailcity.com>
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *                                                                  
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111 USA
 */

#ifndef _GUI_SETTINGS_H
#define _GUI_SETTINGS_H

#include <gtk/gtk.h>

extern int options_discover_retries;
#define OPTIONS_DISCOVER_RETRIES                        1



extern int options_operating_system_check;
#define OPTIONS_OPERATING_SYSTEM_CHECK                  2

extern int options_reverse_dns;
#define OPTIONS_REVERSE_DNS                             3

extern int options_tooltips_timeout;
#define OPTIONS_TOOLTIPS_TIMEOUT                        4

extern int options_confirm_delete;
#define OPTIONS_CONFIRM_DELETE                          5

extern int options_save_changes_on_exit;
#define OPTIONS_SAVE_CHANGES_ON_EXIT                    6

extern int options_use_ip_for_label;
#define OPTIONS_USE_IP_FOR_LABEL                        7

extern int options_map;
#define OPTIONS_MAP                                     8

extern int options_move_stuff_live;
#define OPTIONS_MOVE_STUFF_LIVE                         9

extern int options_probe_ports;
#define OPTIONS_PROBE_PORTS                            10

void do_settings(GtkWidget *widget, gpointer data);
void apply_the_setting(int flags);

#endif /* _GUI_SETTINGS_H */

